View Issue Details

IDProjectCategoryView StatusLast Update
0000495Ham Radio DeluxeBugpublic2017-08-05 18:58
ReporterW4PC 
Assigned ToK7ZCZ 
PrioritynormalSeveritymajorReproducibilityalways
Status closedResolutionfixed 
PlatformPCOSWindows 7OS Version64-bit Pro
Product Version 
Target VersionFixed in Version6.4.0.659 
Summary0000495: Null date fields not sorting correctly
DescriptionWhen trying to sort log on a date field, 'QSL Received Date' for example, the sort intersperses the results with rows that contain no data in the 'QSL Received Date' data element.

Apparently Logbook is not forcing a null value in this date field when there is no valid data for the data element. Likely a problem with other data elements that should be null until valid data is entered.
Steps To ReproduceIn the test log, mark some log entries as QSL received and enter the QSL Received Date. Sort log by QSL Received Date and observe results.
TagsNo tags attached.
ModuleLogbook
Sub-ModuleData
Testing Beta Successful

Relationships

child of 0001561 closedK7ZCZ Turn some alpha fields into numeric 

Activities

K7ZCZ

2017-06-04 14:44

manager   ~0003195

I have a fix coded.

WA9PIE

2017-06-21 20:59

administrator   ~0003247

Status changed to enable update to "Fixed in Version"

WA9PIE

2017-06-21 22:24

administrator   ~0003252

We'll need to leave issues "Assigned" until verified... then change to "Resolved"

I'll document this in process.

g3ucq

2017-06-24 04:17

viewer   ~0003283

Fixed

WA9PIE

2017-06-25 22:13

administrator   ~0003318

Another long-standing item fixed. Matches another sort process already tested.

WA9PIE

2017-07-04 23:30

administrator   ~0003491

Published in the 658 release.

WA9PIE

2017-07-05 00:00

administrator   ~0003526

Waiting to close them until a final item is tested.

g3ucq

2017-07-05 04:03

viewer   ~0003536

Fixed

WA9PIE

2017-07-05 19:39

administrator   ~0003563

These were all part of the 659 release.

Issue History

Date Modified Username Field Change
2013-12-21 18:56 W4PC New Issue
2013-12-21 18:58 W4PC Project 2 - Next Dev List (Holding Area) => @5@
2014-01-31 15:38 WA9PIE Release => 6.1
2014-01-31 15:38 WA9PIE Module => Logbook
2014-01-31 15:38 WA9PIE Sub-Module => Data
2014-01-31 15:38 WA9PIE Report Build => 6.1.4.189
2014-01-31 15:38 WA9PIE Status new => acknowledged
2014-01-31 15:38 WA9PIE Relationship added child of 0001561
2014-02-02 14:53 WA9PIE Summary Null date fields not sorting correctly => Bug: Null date fields not sorting correctly
2015-09-17 13:17 WA9PIE Category Logbook => Bug
2015-09-17 13:19 WA9PIE Project @5@ => 1 - Backlog
2015-09-29 16:34 WA9PIE Fix Build => (select)
2015-09-29 16:34 WA9PIE Summary Bug: Null date fields not sorting correctly => Null date fields not sorting correctly
2017-06-01 03:40 K7ZCZ Assigned To => K7ZCZ
2017-06-01 03:40 K7ZCZ Status acknowledged => assigned
2017-06-04 14:43 K7ZCZ Project 1 - Backlog => 3 - Current Dev List
2017-06-04 14:44 K7ZCZ Note Added: 0003195
2017-06-04 14:44 K7ZCZ Status assigned => resolved
2017-06-04 14:44 K7ZCZ Resolution open => fixed
2017-06-05 12:37 WA9PIE Target Version => 6.4.0.649
2017-06-21 20:59 WA9PIE Status resolved => assigned
2017-06-21 20:59 WA9PIE Note Added: 0003247
2017-06-21 21:08 K7ZCZ Fixed in Version => 6.4.0.650
2017-06-21 21:50 K7ZCZ Status assigned => resolved
2017-06-21 21:50 K7ZCZ Fixed in Version 6.4.0.650 =>
2017-06-21 22:04 K7ZCZ Fixed in Version => 6.4.0.650
2017-06-21 22:24 WA9PIE Status resolved => assigned
2017-06-21 22:24 WA9PIE Note Added: 0003252
2017-06-24 04:17 g3ucq Note Added: 0003283
2017-06-25 22:13 WA9PIE Status assigned => resolved
2017-06-25 22:13 WA9PIE Note Added: 0003318
2017-06-25 22:46 WA9PIE Testing => Beta Passed
2017-07-01 08:24 WA9PIE Target Version 6.4.0.649 => 6.4.0.650
2017-07-01 08:25 WA9PIE Fixed in Version 6.4.0.650 => 6.4.0.657
2017-07-04 23:17 WA9PIE Fixed in Version 6.4.0.657 => 6.4.0.658
2017-07-04 23:30 WA9PIE Note Added: 0003491
2017-07-04 23:30 WA9PIE Status resolved => closed
2017-07-04 23:30 WA9PIE Project 3 - Current Dev List => Ham Radio Deluxe
2017-07-04 23:58 WA9PIE Project Ham Radio Deluxe => 3 - Current Dev List
2017-07-05 00:00 WA9PIE Status closed => resolved
2017-07-05 00:00 WA9PIE Note Added: 0003526
2017-07-05 04:03 g3ucq Note Added: 0003536
2017-07-05 19:37 WA9PIE Fixed in Version 6.4.0.658 => 6.4.0.659
2017-07-05 19:39 WA9PIE Project 3 - Current Dev List => Ham Radio Deluxe
2017-07-05 19:39 WA9PIE Note Added: 0003563
2017-07-05 19:39 WA9PIE Status resolved => closed
2017-07-09 18:59 WA9PIE Testing => Beta Successful
2017-08-05 18:58 WA9PIE Target Version 6.4.0.650 =>